using Cryville.EEW.Core;
using System.IO;
using UnityEngine;

namespace Cryville.EEW.Unity {
	sealed class LocalizedResourcesManager : JSONFileLocalizedResourceManager {
		protected override Stream Open(string path) {
			path = Path.Combine(Application.streamingAssetsPath, "Messages", path);
			if (!File.Exists(path)) return null;
			return new FileStream(path, FileMode.Open, FileAccess.Read);
		}
	}
}
